import { HelpTopic } from '@/models/miscellaneous';

import TextURL from '../ui/TextURL';

function HelpCstAttributes() {
  // prettier-ignore
  return (
  <div className='dense'>
    <h1>Аттрибуты конституенты</h1>
    <p><b>Термин</b> может быть задан для любой конституенты. Он используется для отсылок текстах в других Терминах и Текстовых определениях</p>
    <p><b>Формальное определение</b> строится с помощью формального аппарата <TextURL text='родоструктурной экспликации' href={`/manuals?topic=${HelpTopic.RSLANG}`} /></p>
    <p><b>Типизация</b> вычисляется автоматически на основе Формального определения и отражает структуру элементов множества, задаваемого определением</p>
    <p><b>Текстовое определение</b> указывается для конституент, у которых есть Формальное определение или Область определения. Оно является текстовой интерпретацией формального определения и может содержать только слова-связки, термины теории множеств и отсылки на Термины ранее введенных конституент</p>
    <p><b>Конвенция</b> - договоренность о соотнесении неопределяемого понятия с сущностями в предметной области</p>
    <p><b>Комментарий</b> может быть добавлен к любому производному понятию для хранения дополнительной информации</p>

    <h2>Неопределяемые понятия</h2>
    <p><b>X1, C1</b> - Базисные множества и Константные множества не обладают сложной структурой и определяются Конвенцией. Элементы Константных множеств участвуют в арифметических операциях и порядковых предикатах наряду с мощностями множеств</p>
    <p><b>S1 :∈ ℬ(X1)</b> - Родовые структуры задаются совокупностью Области определения, Конвенции и набора Аксиом, а также Термином. Согласно Конвенции элементы родовой структуры заполняются из Области определения так, чтобы Аксиомы были выполнены. Родовая структура может быть как множеством, так и элементом или кортежем</p>
    <p><b>A1 :== ∀(α,β)∈S1 (β,α)∈S1</b> - Аксиомы задаются логическим Формальным определением и по необходимости Конвенцией</p>
    <h2>Производные понятия</h2>
    <p><b>D1 :== Pr1(S1)</b> - Термы задаются типизированным Формальным определением</p>
    <p><b>T1 :== Pr1(S1)=Pr2(S1)</b> - Теоремы определяются логическим Формальным определением</p>
    <p><b>F1 :== [σ∈ℬ(X1×X1)] Pr1(σ)\Pr2(σ)</b><br />Терм-функции определяются параметризованным типизированным Формальным определением</p>
    <p><b>P1 :== [σ∈ℬ(X1×X1)] card(Pr1(σ)) = card(σ)</b><br />Предикат-функции определяются параметризованным логическим Формальным определением</p>

  </div>);
}

export default HelpCstAttributes;
